EXPAND ALL
  • Home

Requirements

Below are the requirements for deploying Pixie to your cluster.

Container Orchestrator

Pixie currently provides observability for your Kubernetes cluster.

SupportVersion
KubernetesSupportedV1.12+
Docker SwarmNot SupportedNot on roadmap
NomadNot SupportedNot on roadmap
Mesos-MarathonNot SupportedNot on roadmap

Memory

Memory requirements for your cluster nodes are as follows:

MinimumNotes
Pixie Edge Module500MiB2GiB preferred
Pixie Command Module2GiB8GiB+ preferred

CPU

We recommend configuring CPU limits for both the Pixie Edge Module and Pixie Command Module to be within 5% of the node's allocated CPU capacity.

Operating System

The Pixie Edge Module and the Pixie Command Module run on Linux nodes only.

SupportVersion
LinuxSupportedv4.14+
WindowsNot SupportedNot in roadmap

Linux Distributions

The following is a list of Linux distributions that have been tested.

Version
Ubuntu18.04+
Debian10+
RHEL8+
COS73+

Pixie may also work on other distributions.

Note: It is recommended that Linux headers be installed on the cluster nodes.

Copyright © 2020 Pixie Labs Inc.